
!include ../control/watcomc.ctl


.BEFORE:
    set WATCOM_CPPOPTS=$(CCOPTS) $(USE_CTL3D) 
    set WATCOM_CCOPTS=/bt=$(YACLPLATFORM) $(INCPATH) $(HDRPATH) $(DEBUGFLAGS) $(ZZ) -zq

    
LIBRARY = $(UI)

!ifdef BUILD_DLL
DLLOPTS = -DBUILD_DLL -bd  -zc
TARGET  = $(LIBRARY).dll
!ifeq YACLPLATFORM WIN32
SYSTEMNAME = nt_win
!else ifeq YACLPLATFORM OS2
SYSTEMNAME = os2v2
!endif
!else
TARGET  = $(LIBRARY).lib
!endif

# ------------------------ Names of files --------------------------

OBJ01  = 3dlabel.obj  applic.obj   arc.obj      bitmap.obj    bmpbtn.obj
OBJ02  = bmpushbn.obj bmtglbtn.obj brush.obj    btngroup.obj
OBJ03  = canvas.obj   chord.obj    cntroler.obj color.obj
OBJ04  = combobox.obj composit.obj containr.obj cursor.obj
OBJ05  = dateedit.obj dialog.obj   dsinmem.obj  dsplrsrc.obj
OBJ06  = dsplsurf.obj dwgsurf.obj  ellipse.obj  event.obj     factory.obj
OBJ07  = font.obj     fontdesc.obj graphic.obj  grutils.obj
OBJ08  = interval.obj label.obj    lineseg.obj  
OBJ09  = menu.obj     monthcal.obj numedit.obj  orbtngrp.obj
OBJ10  = pen.obj      piewedge.obj point.obj    psdev.obj     pswdedit.obj
OBJ11  = pushbtn.obj  rectangl.obj scrolbar.obj scrolwin.obj  shadolin.obj
OBJ12  = shadorec.obj shadotrg.obj simple.obj   statui.obj    stddlg.obj
OBJ13  = stencil.obj  stred.obj    strseq.obj   strview.obj
OBJ14  = textedit.obj timer.obj    toglbtn.obj  
OBJ15  = vector.obj   visualob.obj vobjcoll.obj xrbtngrp.obj  xrtglbtn.obj


MAINPROG = mainprog.obj


!ifeq YACLPLATFORM OS2
PLATFORM_OBJS = mdi.obj os2evt.obj  printjob.obj treeview.obj treevmdl.obj
!else ifeq YACLPLATFORM WINDOWS
PLATFORM_OBJ1 = copy.obj dibutil.obj errors.obj
PLATFORM_OBJ2 = file.obj mdi.obj     printjob.obj winevt.obj
PLATFORM_OBJS = $(PLATFORM_OBJ1) $(PLATFORM_OBJ2)
!else ifeq YACLPLATFORM WIN32
PLATFORM_OBJ1 = copy.obj dibutil.obj errors.obj
PLATFORM_OBJ2 = file.obj mdi.obj     printjob.obj winevt.obj
PLATFORM_OBJS = $(PLATFORM_OBJ1) $(PLATFORM_OBJ2)
!endif

OBJECTS1 = $(OBJ01) $(OBJ02) $(OBJ03) $(OBJ04) $(OBJ05) $(OBJ06) $(OBJ07)
OBJECTS2 = $(OBJ08) $(OBJ09) $(OBJ10) $(OBJ11) $(OBJ12) $(OBJ13) $(OBJ14)
OBJECTS3 = $(OBJ15)

OBJECTS  = $(OBJECTS1) $(OBJECTS2) $(OBJECTS3) $(PLATFORM_OBJS)



        
all: $(YACLLIB)\$(TARGET) .SYMBOLIC



$(YACLLIB)\$(LIBRARY).lib:  $(OBJECTS) $(MAINPROG) libfile.tmp  .SYMBOLIC
	$(LIBR) /b /p=128 $(YACLLIB)\$(LIBRARY) @libfile.tmp
	$(COPY) mainprog.obj $(YACLLIB)
        -del libfile.tmp


libfile.tmp: .SYMBOLIC
  %create libfile.tmp
  @for %i in ($(OBJECTS)) do @%append libfile.tmp -+%i

  
!ifeq YACLPLATFORM WIN32	
$(YACLLIB)\$(LIBRARY).dll:  $(OBJECTS) $(MAINPROG) dllfile.tmp 
	wlink @dllfile.tmp
	$(COPY) mainprog.obj $(YACLLIB)
        -del dllfile.tmp
        
dllfile.tmp: .SYMBOLIC
  %create dllfile.tmp
  @for %i in ($(OBJECTS)) do @%append dllfile.tmp libfile %i
  @%append dllfile.tmp system $(SYSTEMNAME) dll initinstance terminstance
  @%append dllfile.tmp library $(YACLLIB)\$(IO).lib
  @%append dllfile.tmp library $(YACLLIB)\$(BASE).lib
  @%append dllfile.tmp option implib=$(YACLLIB)\ui.lib
  @%append dllfile.tmp name $(YACLLIB)\$(UI).dll


!else ifeq YACLPLATFORM OS2
$(YACLLIB)\$(LIBRARY).dll:  $(OBJECTS) $(MAINPROG) dllfile.tmp 
	wlink @dllfile.tmp
        wlib $(YACLLIB)\$(LIBRARY).lib +$(YACLLIB)\$(LIBRARY).dll
	$(COPY) mainprog.obj $(YACLLIB)
        -del dllfile.tmp


dllfile.tmp: .SYMBOLIC
  %create dllfile.tmp
  @for %i in ($(OBJECTS)) do @%append dllfile.tmp libfile %i
  @%append dllfile.tmp system $(SYSTEMNAME) dll initglobal
  @%append dllfile.tmp option stack=64K
  @%append dllfile.tmp option caseexact
  @%append dllfile.tmp segment type code preload
  @%append dllfile.tmp name $(YACLLIB)\$(LIBRARY).dll


!endif
  

# ---------------------- Compilation rules -----------------------


!ifeq YACLPLATFORM OS2
stddlg.obj: support/os2/stddlg.cxx
  $(CC) $(DLLOPTS) $(DEBUGFLAGS) @WATCOM_CPPOPTS support\os2\$*.cxx


os2evt.obj: support/os2/os2evt.cxx
  $(CC) $(DLLOPTS) $(DEBUGFLAGS) @WATCOM_CPPOPTS support\os2\$*.cxx


!else

stddlg.obj: support/windows/stddlg.cxx
  $(CC) $(DEBUGFLAGS) $(DLLOPTS) @WATCOM_CPPOPTS support\windows\$*.cxx


winevt.obj: support/windows/winevt.cxx
  $(CC) $(DEBUGFLAGS) $(DLLOPTS) @WATCOM_CPPOPTS support\windows\$*.cxx

copy.obj: support/windows/copy.c
  $(CCOMP) $(DEBUGFLAGS) $(DLLOPTS) @WATCOM_CCOPTS support\windows\copy.c


errors.obj: support/windows/errors.c
  $(CCOMP) $(DEBUGFLAGS) $(DLLOPTS) @WATCOM_CCOPTS support\windows\errors.c


dibutil.obj: support/windows/dibutil.c
  $(CCOMP) $(DEBUGFLAGS) $(DLLOPTS) @WATCOM_CCOPTS support\windows\dibutil.c


file.obj: support/windows/file.c
  $(CCOMP) $(DEBUGFLAGS) $(DLLOPTS) @WATCOM_CCOPTS support\windows\file.c


!endif




.cxx.obj: .SYMBOLIC
	$(CC) $(DLLOPTS) $(DEBUGFLAGS) @WATCOM_CPPOPTS $*.cxx

                
.c.obj: .SYMBOLIC
	$(CCOMP) $(CCOPTS) @WATCOM_CCOPTS $*.c

        
# ------------------ Other targets ---------------------------




clean: .SYMBOLIC
	-del *.obj
	-del $(YACLLIB)\$(LIBRARY).lib
	-del $(YACLLIB)\$(LIBRARY).dll
	-del $(YACLLIB)\$(LIBRARY).bak

